Page 1 of 2 1 2 LastLast
Results 1 to 10 of 17

Thread: Install phpmyadmin in RHEL6 x86_64

  1. #1
    Junior Member
    Join Date
    Dec 2007
    Location
    Prairie Grove, Arkansas
    Posts
    22
    Thanks
    9
    Thanked 0 Times in 0 Posts
    Rep Power
    0

    Default Install phpmyadmin in RHEL6 x86_64

    Has anyone installed phpmyadmin in RHEL6 x86_64?

    If so what packages are needed or dependencies to make it work, and only allow https port 443 access only.

    Any tips/advice would be great.

  2. #2
    Member
    Join Date
    May 2010
    Posts
    53
    Thanks
    0
    Thanked 6 Times in 6 Posts
    Rep Power
    4

    Default

    I cant see any reason why it wont work. To check out dependencies you can have a look to debian package, RH should be the same

    http://packages.debian.org/wheezy/phpmyadmin.

    And I believe rpm package system will solve dependencies istead of you

  3. The Following User Says Thank You to cooler For This Useful Post:

    grifs71 (19th May 2011)

  4. #3
    Junior Member
    Join Date
    Dec 2007
    Location
    Prairie Grove, Arkansas
    Posts
    22
    Thanks
    9
    Thanked 0 Times in 0 Posts
    Rep Power
    0

    Default

    I will check it out!

    thanks!


  5. #4
    Never say die nixcraft's Avatar
    Join Date
    Jan 2005
    Location
    BIOS
    Posts
    4,498
    Thanks
    17
    Thanked 788 Times in 506 Posts
    Rep Power
    10

    Default

    Here you go RepoView: "Fedora EPEL 6 - x86_64"

    I suggest you turn on epel repo and use the yum command to install the same:
    Code:
    rpm -ivh http://download.fedora.redhat.com/pub/epel/6/x86_64/epel-release-6-5.noarch.rpm
    yum -y install phpmyadmin
    All [Solved] threads are closed by mods / admin to avoid spam issues. See Howto mark a thread as [Solved]


  6. The Following User Says Thank You to nixcraft For This Useful Post:

    grifs71 (20th May 2011)

  7. #5
    Junior Member
    Join Date
    Dec 2007
    Location
    Prairie Grove, Arkansas
    Posts
    22
    Thanks
    9
    Thanked 0 Times in 0 Posts
    Rep Power
    0

    Default

    This will work with Scientific Linux 6 (64-bit) based off RHEL6.

    That is correct?

  8. #6
    Is that all you got? rockdalinux's Avatar
    Join Date
    May 2005
    Location
    Planet Vegeta
    Posts
    987
    Thanks
    27
    Thanked 71 Times in 62 Posts
    Rep Power
    19

    Default

    Quote Originally Posted by grifs71 View Post
    This will work with Scientific Linux 6 (64-bit) based off RHEL6.

    That is correct?
    It will work with upcoming CentOS 6, RHEL 6, Fedora and SL 6.
    Rocky Jr.
    What's wrong? I hope I am not making you uncomfortable...

    Never send a boy to do a mans job.

  9. The Following User Says Thank You to rockdalinux For This Useful Post:

    grifs71 (20th May 2011)

  10. #7
    Junior Member
    Join Date
    Dec 2007
    Location
    Prairie Grove, Arkansas
    Posts
    22
    Thanks
    9
    Thanked 0 Times in 0 Posts
    Rep Power
    0

    Default

    THANKS for the quick reply.






    It is Friday and I am fixin to install this.

  11. #8
    Junior Member
    Join Date
    Dec 2007
    Location
    Prairie Grove, Arkansas
    Posts
    22
    Thanks
    9
    Thanked 0 Times in 0 Posts
    Rep Power
    0

    Default

    [root@test ~]# yum -y install phpmyadmin
    Loaded plugins: rhnplugin
    epel/metalink | 11 kB 00:00
    epel | 4.3 kB 00:00
    epel/primary_db | 3.7 MB 00:01
    Setting up Install Process
    Resolving Dependencies
    --> Running transaction check
    ---> Package phpMyAdmin.noarch 0:3.3.10-1.el6 will be installed
    --> Processing Dependency: php-mbstring >= 5.2.0 for package: phpMyAdmin-3.3.10-1.el6.noarch
    --> Processing Dependency: php-mcrypt >= 5.2.0 for package: phpMyAdmin-3.3.10-1.el6.noarch
    --> Running transaction check
    ---> Package php-mcrypt.x86_64 0:5.3.2-3.el6 will be installed
    --> Processing Dependency: libmcrypt.so.4()(64bit) for package: php-mcrypt-5.3.2-3.el6.x86_64
    ---> Package phpMyAdmin.noarch 0:3.3.10-1.el6 will be installed
    --> Processing Dependency: php-mbstring >= 5.2.0 for package: phpMyAdmin-3.3.10-1.el6.noarch
    --> Running transaction check
    ---> Package libmcrypt.x86_64 0:2.5.8-9.el6 will be installed
    ---> Package phpMyAdmin.noarch 0:3.3.10-1.el6 will be installed
    --> Processing Dependency: php-mbstring >= 5.2.0 for package: phpMyAdmin-3.3.10-1.el6.noarch
    --> Finished Dependency Resolution
    Error: Package: phpMyAdmin-3.3.10-1.el6.noarch (epel)
    Requires: php-mbstring >= 5.2.0
    You could try using --skip-broken to work around the problem
    You could try running: rpm -Va --nofiles --nodigest

    do I need another repo for the missing dependencies?

  12. #9
    Junior Member
    Join Date
    Dec 2007
    Location
    Prairie Grove, Arkansas
    Posts
    22
    Thanks
    9
    Thanked 0 Times in 0 Posts
    Rep Power
    0

    Default

    Got it!

    I found the solution on another forum:

    check the server 'optional' repo in RHEL6

    I got it installed, now on to the configuration.

    I may need some help with that part.


    Last edited by grifs71; 20th May 2011 at 06:47 PM.

  13. #10
    Is that all you got? rockdalinux's Avatar
    Join Date
    May 2005
    Location
    Planet Vegeta
    Posts
    987
    Thanks
    27
    Thanked 71 Times in 62 Posts
    Rep Power
    19

    Default

    php-mbstring is part of default rhn repo. Are you registered with RHN?


    Code:
    yum info php-mbstring
    Loaded plugins: downloadonly, rhnplugin, security
    Installed Packages
    Name       : php-mbstring
    Arch       : x86_64
    Version    : 5.1.6
    Release    : 27.el5_5.3
    Size       : 1.8 M
    Repo       : installed
    Summary    : A module for PHP applications which need multi-byte string handling
    URL        : http://www.php.net/
    License    : The PHP License v3.01
    Description: The php-mbstring package contains a dynamic shared object that will add
               : support for multi-byte string handling to PHP.
    However it comes RHN comes with php-mbstring version 5.1.6 and phpmyadmin needs 5.2.0.
    Rocky Jr.
    What's wrong? I hope I am not making you uncomfortable...

    Never send a boy to do a mans job.

  14. The Following User Says Thank You to rockdalinux For This Useful Post:

    grifs71 (20th May 2011)

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Similar Threads

  1. RHEL6 installation
    By ananth_ak in forum CentOS / RHEL / Fedora
    Replies: 2
    Last Post: 26th November 2010, 07:43 PM
  2. RHEL6 b2 on CentOS 5.5 virtualbox
    By Laslo in forum CentOS / RHEL / Fedora
    Replies: 2
    Last Post: 3rd November 2010, 02:48 PM
  3. Install phpmyadmin under CentOS Linux
    By duster in forum CentOS / RHEL / Fedora
    Replies: 2
    Last Post: 3rd February 2010, 08:51 PM
  4. Problem in installing RHEL x86_64
    By Krishsrinath in forum CentOS / RHEL / Fedora
    Replies: 3
    Last Post: 26th January 2010, 07:03 PM
  5. Redhat php5 x86_64 install
    By raj in forum Getting started tutorials
    Replies: 0
    Last Post: 5th August 2007, 07:59 PM

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •